<% layout('index') %>
<h1 class="text-danger"><%= title %></h1>

<div class="container">
  <% if (local_state_list == null 
  || local_state_list.length == 0
  || nation_list == null 
  || nation_list.length == 0
  || gender_list == null 
  || gender_list.length == 0
  || religion_list == null 
  || religion_list.length == 0
  || race_list == null 
  || race_list.length == 0
  || marriage_status_list == null 
  || marriage_status_list.length == 0
  || employee_status_list == null 
  || employee_status_list.length == 0
  || staff_position_list == null 
  || staff_position_list.length == 0
  || office_dept_list == null 
  || office_dept_list.length == 0) { %>
    <tr>
      <td colspan="8">No data</td>
    </tr>
  <% } else { %>
    <form method="POST" action="">
      <fieldset>
        <legend>Fill in the details of the staff:</legend>
        <div class="form-group">
          <label for="name">Name</label>
          <input type="text" class="form-control" name="name" placeholder="Enter name" required>
        </div>
        <div class="form-group">
          <label for="contact_no">Contact no.</label>
          <input type="text" class="form-control" name="contact_no" placeholder="Enter contact no." required>
        </div>
        <div class="form-group">
          <label for="email">Email address</label>
          <input type="email" class="form-control" name="secondary_email" aria-describedby="emailHelp" required placeholder="Enter email">
        </div>
        <div class="form-group">
          <label for="IC">IC No.</label>
          <input type="text" class="form-control" name="IC" placeholder="Enter IC" required>
        </div>
        <div class="form-group">
          <label for="DOB">Date of Birth</label>
          <input type="date" class="form-control" name="DOB" value="1984-01-01" required>
        </div>
        <div class="form-group">
          <label for="home_address">Home address</label>
          <textarea class="form-control" name="home_address" rows="3" placeholder="Enter home address" required></textarea>
        </div>
        <div class="form-group">
          <label for="postcode">Post Code</label>
          <input type="text" class="form-control" name="postcode" placeholder="Enter post code" required>
        </div>
        <div class="form-group">
          <label for="StateOB">State</label>
          <select class="form-control" name="StateOB_id">
            <% for (let item of local_state_list) { %>
              <option value="<%= item._id %>"><%= item.name %></option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="nation">Nationality</label>
          <select class="form-control" name="nation_id">
            <% for (let item of nation_list) { %>
              <option 
                <%- item.nation == 'Malaysia' ? 'selected="selected"' : '' %> 
                value="<%= item._id %>">
                <%= item.nation %>
              </option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="gender">Gender</label>
          <select class="form-control" name="gender_id">
            <% for (let item of gender_list) { %>
              <option value="<%= item._id %>"><%= item.gender %></option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="religion">Religion</label>
          <select class="form-control" name="religion_id">
            <% for (let item of religion_list) { %>
              <option value="<%= item._id %>"><%= item.name %></option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="race">Race</label>
          <select class="form-control" name="race_id">
            <% for (let item of race_list) { %>
              <option value="<%= item._id %>"><%= item.name %></option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="marriage_status">Marriage Status</label>
          <select class="form-control" name="marriage_status_id">
            <% for (let item of marriage_status_list) { %>
              <option value="<%= item._id %>"><%= item.status %></option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="employee_status">Employee Status</label>
          <select class="form-control" name="employee_status_id">
            <% for (let item of employee_status_list) { %>
              <option value="<%= item._id %>"><%= item.status %></option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="staff_position">Position</label>
          <select class="form-control" name="position_id">
            <% for (let item of staff_position_list) { %>
              <option value="<%= item._id %>"><%= item.gred + ' - ' + item.jawatan %></option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="office_dept">Department</label>
          <select class="form-control" name="dept_id">
            <% for (let item of office_dept_list) { %>
              <option value="<%= item._id %>"><%= item.pusat + ' - ' + item.bahagian %></option>
            <% } %>
          </select>
        </div>
        <div class="form-group">
          <label for="date_enter">Date Enter</label>
          <input type="date" class="form-control" name="date_enter" value="<%= new Date().toISOString().substr(0, 10) %>" required>
        </div>
        <button type="submit" class="btn btn-danger">Submit</button>
      </fieldset>
    </form>
    
  <% } %>    
</div>